Module java.desktop
Package javax.swing.plaf.metal

## Class MetalIconFactory.TreeControlIcon

- java.lang.Object
- - javax.swing.plaf.metal.MetalIconFactory.TreeControlIcon

All Implemented Interfaces:
  `Serializable`, `Icon`

Enclosing class:
  MetalIconFactory

    public static class MetalIconFactory.TreeControlIcon
    extends Object
    implements Icon, Serializable

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

See Also:
  Serialized Form

### Field Summary

Fields
`protected boolean` `isLight` if `true` the icon is collapsed.

### Constructor Summary

Constructors
`TreeControlIcon​(boolean isCollapsed)` Constructs an instance of `TreeControlIcon`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `paintMe​(Component c, Graphics g, int x, int y)` Paints the `TreeControlIcon`.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface javax.swing.Icon

`getIconHeight, getIconWidth, paintIcon`

### Field Detail

#### isLight

    protected boolean isLight

if `true` the icon is collapsed. NOTE: This data member should not have been exposed. It's called `isLight`, but now it really means `isCollapsed`. Since we can't change any APIs... that's life.

### Constructor Detail

#### TreeControlIcon

    public TreeControlIcon​(boolean isCollapsed)

Constructs an instance of `TreeControlIcon`.

Parameters:
  `isCollapsed` - if `true` the icon is collapsed

### Method Detail

#### paintMe

    public void paintMe​(Component c,
                        Graphics g,
                        int x,
                        int y)

Paints the `TreeControlIcon`.

Parameters:
  `c` - a component
  `g` - an instance of `Graphics`
  `x` - an X coordinate
  `y` - an Y coordinate